Skip to main content
PATCH
/
api
/
workspaces
/
{id}
Update Workspace
curl --request PATCH \
  --url https://api.rapidly.tech/api/workspaces/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "avatar_url": "<string>",
  "email": "jsmith@example.com",
  "website": "<string>",
  "socials": [
    {
      "platform": "x",
      "url": "<string>"
    }
  ],
  "details": {
    "about": "<string>",
    "product_description": "<string>",
    "intended_use": "<string>",
    "customer_acquisition": [
      "<string>"
    ],
    "future_annual_revenue": 1,
    "switching": true,
    "switching_from": "paddle",
    "previous_annual_revenue": 0
  },
  "default_presentment_currency": "aud",
  "feature_settings": {
    "member_model_enabled": false,
    "seat_based_pricing_enabled": false,
    "tinybird_read": false,
    "tinybird_compare": false
  },
  "notification_settings": {
    "new_payment": true
  },
  "customer_email_settings": {
    "payment_confirmation": true
  },
  "customer_portal_settings": {
    "usage": {
      "show": true
    }
  }
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "avatar_url": "<string>",
  "email": "<string>",
  "website": "<string>",
  "socials": [
    {
      "platform": "x",
      "url": "<string>"
    }
  ],
  "status": "created",
  "details_submitted_at": "2023-11-07T05:31:56Z",
  "default_presentment_currency": "aud",
  "feature_settings": {
    "member_model_enabled": false,
    "seat_based_pricing_enabled": false,
    "tinybird_read": false,
    "tinybird_compare": false
  },
  "notification_settings": {
    "new_payment": true
  },
  "customer_email_settings": {
    "payment_confirmation": true
  },
  "customer_portal_settings": {
    "usage": {
      "show": true
    }
  }
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Path Parameters

id
string<uuid4>
required

The workspace ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

Body

application/json
name
string | null
Minimum string length: 3
avatar_url
string<uri> | null
Required string length: 1 - 2083
email
string<email> | null

Public support email.

website
string<uri> | null

Official website of the workspace.

Required string length: 1 - 2083
socials
WorkspaceSocialLink · object[] | null

Links to social profiles.

details
WorkspaceDetails · object

Additional, private, business details Rapidly needs about active workspaces for compliance (KYC).

default_presentment_currency
enum<string> | null

Default presentment currency for the workspace

Available options:
aud,
brl,
cad,
chf,
eur,
inr,
gbp,
jpy,
sek,
usd
feature_settings
WorkspaceFeatureSettings · object
notification_settings
WorkspaceNotificationSettings · object

Which internal notifications the workspace admin receives.

customer_email_settings
WorkspaceCustomerEmailSettings · object

Which transactional emails are sent to the org's customers.

customer_portal_settings
WorkspaceCustomerPortalSettings · object

Customer-portal UI toggles.

Response

Workspace updated.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

name
string
required

Workspace name shown in storefront, customer portal, emails etc.

slug
string
required

Unique workspace slug in storefront, customer portal and credit card statements.

avatar_url
string | null
required

Avatar URL shown in customer portal, emails etc.

email
string | null
required

Public support email.

website
string | null
required

Official website of the workspace.

socials
WorkspaceSocialLink · object[]
required

Links to social profiles.

status
enum<string>
required

Current workspace status

Available options:
created,
onboarding_started,
initial_review,
ongoing_review,
denied,
active
details_submitted_at
string<date-time> | null
required

When the business details were submitted.

default_presentment_currency
enum<string>
required

Default presentment currency. Used as fallback in storefront and customer portal, if the customer's local currency is not available.

Available options:
aud,
brl,
cad,
chf,
eur,
inr,
gbp,
jpy,
sek,
usd
feature_settings
WorkspaceFeatureSettings · object
required

Workspace feature settings

notification_settings
WorkspaceNotificationSettings · object
required

Settings related to notifications

customer_email_settings
WorkspaceCustomerEmailSettings · object
required

Settings related to customer emails

customer_portal_settings
WorkspaceCustomerPortalSettings · object
required

Settings related to the customer portal